Subject: Re: [RFC 4/4 v3] Add cat-blob report fifo from fast-import to remote-helper.

From: Jonathan Nieder <[email-masked]>
Date: Sat, 21 Jul 2012 10:44:37 -0500

Florian Achleitner wrote:
> On Saturday 21 July 2012 09:48:34 Jonathan Nieder wrote:

>> To sum up: I think we should just stick to pipes --- why all this fifo
>> complication?
>
> People didn't like pipe variant (prexec_cb not being compatible to windows' 
> process creation model), so I learned about fifos and implemented a (basic) fifo 
> variant. *shrug*

Ok, can you elaborate on that?  What does it mean that preexec_cb is
not compatible to windows' process creation model?  Don't the people
of the future working on this code deserve to know about that, too, so
they don't break it?

Come on --- I'm not asking these questions just to make your life
difficult.  Please make it easy to understand your code changes and to
keep them maintained.